import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mylibrary/flutter_mylibrary.dart';
import 'package:video_player/video_player.dart';
import 'easy_video_contrller.dart';
import 'video_widget.dart';


// ignore: must_be_immutable
class EasyVideoPlayer extends StatefulWidget{

  EasyVideoController easyVideoPlayerController;

  EasyVideoPlayer({EasyVideoController controller}){
    this.easyVideoPlayerController = controller;
  }

  @override
  State<StatefulWidget> createState() {
    return EasyVideoPlayerState();
  }
}


class EasyVideoPlayerState extends State<EasyVideoPlayer>{

  VideoPlayerController  _videoPlayerController;

  EasyVideoController _easyVideoPlayerController;


  EasyVideoSizeType easyVideoSizeType;


  @override
  void initState() {
    super.initState();
    _easyVideoPlayerController = widget.easyVideoPlayerController;
    _videoPlayerController = _easyVideoPlayerController?.videoPlayerController;

    if(_easyVideoPlayerController.autoPlay){
      _videoPlayerController.play();
    }
  }

  @override
  Widget build(BuildContext context) {
    return EasyVideoControllerProvider(
      controller: _easyVideoPlayerController,
      child: VideoWidget(),
    );
  }
}


